Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcClientConfigImpl

    java.lang.Object
      org.apache.xmlrpc.XmlRpcConfigImpl
          org.apache.xmlrpc.common.XmlRpcHttpRequestConfigImpl
              org.apache.xmlrpc.client.XmlRpcClientConfigImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, XmlRpcClientConfig, XmlRpcHttpClientConfig, XmlRpcLocalClientConfig, XmlRpcHttpConfig, XmlRpcHttpRequestConfig, XmlRpcRequestProcessorFactory, XmlRpcStreamConfig, XmlRpcStreamRequestConfig, XmlRpcConfig, XmlRpcRequestConfig

    public class XmlRpcClientConfigImpl

extends XmlRpcHttpRequestConfigImpl
implements XmlRpcHttpClientConfig, XmlRpcLocalClientConfig, java.lang.Cloneable, java.io.Serializable

Default implementation of a clients request configuration.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`UTF8_ENCODING`

Constructor Summary
`XmlRpcClientConfigImpl()` Creates a new client configuration with default settings.

Method Summary
`XmlRpcClientConfigImpl` | `cloneMe()` Creates a clone of this client configuration.
`java.net.URL` | `getServerURL()` Returns the HTTP servers URL.
`java.lang.String` | `getUserAgent()` Returns the user agent header to use
`XmlRpcRequestProcessor` | `getXmlRpcServer()` Returns the `XmlRpcRequestProcessor` being invoked.
`void` | `setServerURL(java.net.URL pURL)` Sets the servers URL.
`void` | `setUserAgent(java.lang.String pUserAgent)`
`void` | `setXmlRpcServer(XmlRpcRequestProcessor pServer)` Returns the `XmlRpcRequestProcessor` being invoked.

Methods inherited from class org.apache.xmlrpc.common.XmlRpcHttpRequestConfigImpl
`getBasicPassword, getBasicUserName, getConnectionTimeout, getReplyTimeout, isEnabledForExceptions, isGzipCompressing, isGzipRequesting, setBasicPassword, setBasicUserName, setConnectionTimeout, setEnabledForExceptions, setGzipCompressing, setGzipRequesting, setReplyTimeout`

Methods inherited from class org.apache.xmlrpc.XmlRpcConfigImpl
`getBasicEncoding, getEncoding, getTimeZone, isContentLengthOptional, isEnabledForExtensions, setBasicEncoding, setContentLengthOptional, setEnabledForExtensions, setEncoding, setTimeZone`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcHttpRequestConfig
`getBasicPassword, getBasicUserName, getConnectionTimeout, getReplyTimeout`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcStreamRequestConfig
`isEnabledForExceptions, isGzipCompressing, isGzipRequesting`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcHttpConfig
`getBasicEncoding, isContentLengthOptional`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`getEncoding`

Methods inherited from interface org.apache.xmlrpc.XmlRpcConfig
`getTimeZone, isEnabledForExtensions`

Constructor Detail

### XmlRpcClientConfigImpl

    public XmlRpcClientConfigImpl()

  Creates a new client configuration with default settings.

Method Detail

### cloneMe

    public XmlRpcClientConfigImpl cloneMe()

  Creates a clone of this client configuration.

  Returns:
    A clone of this configuration.

### setServerURL

    public void setServerURL(java.net.URL pURL)

  Sets the servers URL.

  Parameters:
    `pURL` - Servers URL

### getServerURL

    public java.net.URL getServerURL()

  Description copied from interface: `XmlRpcHttpClientConfig`
  Returns the HTTP servers URL.

  Specified by:
    `getServerURL` in interface `XmlRpcHttpClientConfig`
  Returns:
    XML-RPC servers URL; for example, this may be the URL of a servlet

### setXmlRpcServer

    public void setXmlRpcServer(XmlRpcRequestProcessor pServer)

  Returns the `XmlRpcRequestProcessor` being invoked.

  Parameters:
    `pServer` - Server object being invoked. This will typically be a singleton instance, but could as well create a new instance with any call.

### getXmlRpcServer

    public XmlRpcRequestProcessor getXmlRpcServer()

  Description copied from interface: `XmlRpcRequestProcessorFactory`
  Returns the `XmlRpcRequestProcessor` being invoked.

  Specified by:
    `getXmlRpcServer` in interface `XmlRpcRequestProcessorFactory`
  Returns:
    Server object being invoked. This will typically be a singleton instance, but could as well create a new instance with any call.

### getUserAgent

    public java.lang.String getUserAgent()

  Returns the user agent header to use

  Specified by:
    `getUserAgent` in interface `XmlRpcHttpClientConfig`
  Returns:
    the http user agent header to set when doing xmlrpc requests

### setUserAgent

    public void setUserAgent(java.lang.String pUserAgent)

  Parameters:
    `pUserAgent` - the http user agent header to set when doing xmlrpc requests

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.